> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects linked to a container-registry credential

> Returns the full set of project ids currently linked to an organization-level container-registry credential, for the given registry type.



## OpenAPI

````yaml get /integrations/container-registry/organization/{organizationId}/credentials/{registryType}/{credentialId}/projects
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /integrations/container-registry/organization/{organizationId}/credentials/{registryType}/{credentialId}/projects:
    get:
      tags:
        - Container Registry Credentials
      summary: List projects linked to a container-registry credential
      description: >-
        Returns the full set of project ids currently linked to an
        organization-level container-registry credential, for the given registry
        type.
      operationId: ContainerRegistryCredentialsController_getCredentialProjects
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            format: uuid
            type: string
        - name: registryType
          required: true
          in: path
          description: >-
            Registry type
            (gcr|acr|dockerhub|gitlab|quay|harbor|jfrog|scaleway|ecr)
          schema:
            type: string
        - name: credentialId
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: Linked projects retrieved successfully
        '401':
          description: Unauthorized - Invalid or missing authentication token
          content:
            application/json:
              schema:
                example:
                  message: Unauthorized
                  statusCode: 401
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '403':
          description: Forbidden - Insufficient permissions to manage integrations
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path

````